Package org.opensaml.saml.saml1.core.impl

# Class AuthorizationDecisionQueryImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectQueryImpl
org.opensaml.saml.saml1.core.impl.AuthorizationDecisionQueryImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthorizationDecisionQuery`, `Query`, `SubjectQuery`

public class AuthorizationDecisionQueryImpl extends SubjectQueryImpl implements AuthorizationDecisionQuery
Concrete implementation of the `AuthorizationDecisionQuery` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Action>`
`actions`
Contains all the Action child elements.
`private Evidence`
`evidence`
Contains the Evidence child element.
`private String`
`resource`
Contains the resource attribute.

### Fields inherited from interface org.opensaml.saml.saml1.core.AuthorizationDecisionQuery

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, RESOURCE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml1.core.SubjectQuery

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthorizationDecisionQueryImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Get list of Action child elements.
`Evidence`
`getEvidence()`
Get the Evidence child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getResource()`
Get Resource attribute.
`void`
`setEvidence(Evidence ev)`
Set the Evidence child element.
`void`
`setResource(String res)`
Set Resource attribute.

### Methods inherited from class org.opensaml.saml.saml1.core.impl.SubjectQueryImpl

`getSubject, setSubject`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.core.SubjectQuery

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### resource

@Nullable private String resource
Contains the resource attribute.

### actions

@Nonnull private final XMLObjectChildrenList<Action> actions
Contains all the Action child elements.

### evidence

@Nullable private Evidence evidence
Contains the Evidence child element.

## Constructor Details

### AuthorizationDecisionQueryImpl

protected AuthorizationDecisionQueryImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getResource

@Nullable public String getResource()
Get Resource attribute.

Specified by:
  `getResource` in interface `AuthorizationDecisionQuery`
Returns:
  Resource attribute

### setResource

public void setResource(@Nullable String res)
Set Resource attribute.

Specified by:
  `setResource` in interface `AuthorizationDecisionQuery`
Parameters:
  `res` - Resource attribute to set

### getActions

@Nonnull @Live public List<Action> getActions()
Get list of Action child elements.

Specified by:
  `getActions` in interface `AuthorizationDecisionQuery`
Returns:
  Action list

### getEvidence

@Nullable public Evidence getEvidence()
Get the Evidence child element.

Specified by:
  `getEvidence` in interface `AuthorizationDecisionQuery`
Returns:
  Evidence child element

### setEvidence

public void setEvidence(@Nullable Evidence ev)
Set the Evidence child element.

Specified by:
  `setEvidence` in interface `AuthorizationDecisionQuery`
Parameters:
  `ev` - child element to set

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `SubjectQueryImpl`
Returns:
  ordered list of child elements